%global modulename libnpx

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-libnpx
Version:        10.2.0
Release:        1%{?dist}
Summary:        support library for npx -- an tool for executing npm-based packages.

License:        ISC
URL:            https://github.com/zkat/npx#readme
Source0:        https://registry.npmjs.org/libnpx/-/libnpx-10.2.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(dotenv) >= 5.0.1 with npmlib(dotenv) < 6.0.0))
BuildRequires:  ((npmlib(npm-package-arg) >= 6.0.0 with npmlib(npm-package-arg) < 7.0.0))
BuildRequires:  ((npmlib(rimraf) >= 2.6.2 with npmlib(rimraf) < 3.0.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.1.0 with npmlib(safe-buffer) < 6.0.0))
BuildRequires:  ((npmlib(update-notifier) >= 2.3.0 with npmlib(update-notifier) < 3.0.0))
BuildRequires:  ((npmlib(which) >= 1.3.0 with npmlib(which) < 2.0.0))
BuildRequires:  ((npmlib(y18n) >= 4.0.0 with npmlib(y18n) < 5.0.0))
BuildRequires:  ((npmlib(yargs) >= 11.0.0 with npmlib(yargs) < 12.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
support library for npx -- an tool for executing npm-based packages.

%package 10.2.0
Summary:        support library for npx -- an tool for executing npm-based packages.


%description 10.2.0
support library for npx -- an tool for executing npm-based packages.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr auto-fallback.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr child.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr get-prefix.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr libnpx.1 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr locales %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parse-args.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr util.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr y.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}


mkdir -p %{buildroot}%{_mandir}/man1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/libnpx.1 %{buildroot}/%{_mandir}/man1/libnpx.1

mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{_mandir}/man1/libnpx.1*
%{nodejs_dir}/%{modulename}

%files 10.2.0
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 10.2.0-1
- Package automatically generated by npm2srpm
